/* reset */
.mu-reset * {
    all: initial;
}
.mu-reset address,
.mu-reset article,
.mu-reset aside,
.mu-reset blockquote,
.mu-reset dd,
.mu-reset div,
.mu-reset dl,
.mu-reset fieldset,
.mu-reset figcaption,
.mu-reset figure,
.mu-reset footer,
.mu-reset form,
.mu-reset h1,
.mu-reset h2,
.mu-reset h3,
.mu-reset h4,
.mu-reset h5,
.mu-reset h6,
.mu-reset header,
.mu-reset hgroup,
.mu-reset hr,
.mu-reset main,
.mu-reset nav,
.mu-reset noscript,
.mu-reset ol,
.mu-reset output,
.mu-reset p,
.mu-reset pre,
.mu-reset section,
.mu-reset summary,
.mu-reset table,
.mu-reset tfoot,
.mu-reset ul {
    display: block;
}
.mu-reset audio,
.mu-reset canvas,
.mu-reset progress,
.mu-reset video {
    display: inline-block;
}
.mu-reset li {
    display: list-item;
}
.mu-reset table {
    display: table;
}
.mu-reset tr {
    display: table-row;
}
.mu-reset td, th {
    display: table-cell;
}
.mu-reset template,
.mu-reset [hidden] {
    display: none;
}
/**
 * Start Vanilla CSS 1.0.2 
 */ 
.mu-app {
    font: 9pt/1.5em sans-serif;
}
.mu-app pre,
.mu-app code,
.mu-app tt {
    font: 1em/1.5em 'Andale Mono', 'Lucida Console', monospace;
}
.mu-app h1,
.mu-app h2,
.mu-app h3,
.mu-app h4,
.mu-app h5,
.mu-app h6,
.mu-app b,
.mu-app strong {
    font-weight: bold;
}
.mu-app em,
.mu-app i,
.mu-app dfn {
    font-style: italic;
}
.mu-app dfn {
    font-weight:bold;
}
.mu-app p, 
.mu-app code,
.mu-app pre,
.mu-app kbd {
    margin:0 0 1.5em 0;
}
.mu-app blockquote {
    margin:0 1.5em 1.5em 1.5em;
}
.mu-app cite {
    font-style: italic;
}
.mu-app li ul,
.mu-app li ol {
    margin:0 1.5em;
}
.mu-app ul,
.mu-app ol {
    margin:0 1.5em 1.5em 1.5em;
    list-style-position: inside; 
}
.mu-app ul {
    list-style-type:disc;
}
.mu-app ol {
    list-style-type:decimal;
}
.mu-app ol ol {
    list-style: upper-alpha;
}
.mu-app ol ol ol {
    list-style: lower-roman;
}
.mu-app ol ol ol ol {
    list-style: lower-alpha;
}
.mu-app dl {
    margin:0 0 1.5em 0;
}
.mu-app dl dt {
    font-weight:bold;
}
.mu-app dd {
    margin-left:1.5em;
}
.mu-app table {
    margin-bottom:1.4em;
    width:100%;
}
.mu-app th {
    font-weight:bold;
}
.mu-app th,
.mu-app td,
.mu-app caption {
    padding:4px 10px 4px 5px;
}
.mu-app tfoot {
    font-style:italic;
}
.mu-app sup,
.mu-app sub {
    line-height:0;
}
.mu-app abbr,
.mu-app acronym {
    border-bottom: 1px dotted;
}
.mu-app address {
    margin:0 0 1.5em;
    font-style:italic;
}
.mu-app del {
    text-decoration: line-through;
}
.mu-app pre {
    margin:1.5em 0;
    white-space:pre;
}
.mu-app img {
    max-width: 100%;
}
.mu-app button {
    text-align: center;
}
.mu-app button * {
    cursor: pointer;
}
/**
* End Vanilla CSS
*/
.mu-app .fa {
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
}

/* text */
.mu-app {
    position: relative;
    background-color: #EBEBEB;
    min-height: 8em;
}
.mu-app * {
    font-family: verdana, sans-serif;
    color: #333;
    font-size: 16px;    
}
.mu-app *:first-child {
    margin-top: 0;
}
.mu-app a:link,
.mu-app a.mu-link {
    color: #0973b9;
    text-decoration: none;
}
.mu-app a:visited,
.mu-app a.mu-link-visited {
    color: #074E7E;
    text-decoration: none;
}
.mu-app a:hover,
.mu-app a.mu-link-hover {
    text-decoration: underline;
}
.mu-app a:active,
.mu-app a.mu-link-active {
    color: #0B94EF;
    text-decoration: none;
}
.mu-app h1,
.mu-app h2,
.mu-app h3 {
    margin: .67em 0;
    font-family: 'Trebuchet MS', 'Lucida Grande', 'Lucida Sans Unicode', 'Lucida Sans', Tahoma, sans-serif;
}
.mu-app h1 {
    font-size: 24px;
}
.mu-app h2 {
    font-size: 20px;
}
.mu-app h3 {
    font-size: 18px;
}
.mu-app p {
    margin: 0 0 1.5em 0;
}
.mu-app strong {
    font-weight: bolder;
}
.mu-app em {
    font-style: italic;
}

/* elements */
.mu-app .mu-logo {
    font-size: 4em;
    text-align: center;
    color: #0973b9;
    font-family: "Times New Roman", times, serif;
    margin-top: -0.3em;
}
.mu-app .mu-logo::before {
    content: "\03bc";
}
/* buttons */
.mu-app .mu-button {
    vertical-align: top;
    border: 0px solid transparent;
    border-bottom: 2px solid transparent;
    margin: 0px;
    padding: 0px 5px;
    background: transparent;
    position: relative;
    min-width: 50px;
    text-align: center;
    height: 60px;
    font-size: 11px;
    color: #333 !important;
    letter-spacing: 0;
    cursor: pointer;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
    font-family: arial,helvetica,sans-serif;
    white-space: nowrap;
    user-select: none;
}
.mu-app .mu-button span {
    font-size: 11px;
    color: #333 !important;
    letter-spacing: 0;
    font-family: arial,helvetica,sans-serif;
    white-space: nowrap;
    user-select: none;
}
.mu-app .mu-button i,
.mu-app .mu-button span.fa-stack {
    line-height: 50px;
    font-size: 19px;
    display: inline-block;
    padding: 0px 4px;
    line-height: 26px;
    display: block;
    margin: -4px auto 0px;
    position: relative;
}
.mu-app .mu-button.mu-selected {
    background-color: #EEE;
    position: relative;
    border-left: 1px solid #DDD;
    border-right: 1px solid white;
}
.mu-app .mu-button.mu-disabled {
    color: #888 !important;
    cursor: default;
}
.mu-app .mu-button:focus,
.mu-app .mu-button:hover,
.mu-app .mu-button.mu-hover,
.mu-app .mu-button.mu-focus {
    border-bottom: 2px solid #0B94EF!important;
    outline: none;
}
.mu-app .mu-button.mu-selected:focus,
.mu-app .mu-button.mu-selected.mu-focus {
    border-bottom: 0 !important;
}
.mu-app .mu-button.mu-expands:not(.mu-selected)::after {
    content: "";
    display: block;
    position: absolute;
    bottom: 6px;
    left: 50%;
    margin-left: -3px;
    width: 0;
    border-top: 3px solid #888;
    border-bottom: 0px;
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
}

/* loading spinner */
.mu-app .mu-spinner {
    display: block;
    width: 46px;
    height: 46px;
    position: relative;
    z-index: 101;
}
.mu-app .mu-spinner:before {
    content: 'Loading…';
    position: absolute;
    width: 40px;
    height: 40px;
}
.mu-app .mu-spinner:not(:required):before {
    content: '';
    border-radius: 50%;
    border: 3px solid #ccc;
    border-top-color: #03ade0;
    -webkit-animation: mu-spinner 1s linear infinite;
    animation: mu-spinner 1s linear infinite;
}
@keyframes mu-spinner {
    to {transform: rotate(360deg);}
}
@-webkit-keyframes mu-spinner {
    to {-webkit-transform: rotate(360deg);}
}

/* Blocks */
/* toolbar */
.mu-app .mu-toolbar,
.mu-app .mu-toolbar li {
    list-style: none;
    margin: 0px;
    padding: 0px;
}
.mu-app .mu-toolbar {
    border-top: 2px solid #0973b9;
    background: linear-gradient(to bottom,white 0%,#FFF 95%,#DDD 100%);
    position: absolute;
    z-index: 100;
    white-space: nowrap;
    min-width: 100%;
}
.mu-app .mu-toolbar li {
    display: block;
    display: inline-block;
    position: relative;
    white-space: nowrap;
}
.mu-app .mu-toolbar::after {
    content: "";
    display: block;
    clear: both;
}
.mu-app .mu-toolbar .mu-spacer {
    border-left: 1px solid #CCC;
    height: 60px;
    position: absolute;
}
/* dropdown */
.mu-app .mu-dropdown {
    position: absolute;
    transform: scale(0.7);
    transition: transform 0.2s ease, opacity 0.2s ease;
    opacity: 0;
    z-index: -1;
    visibility: visible;
}
.mu-app .mu-dropdown-body {
    list-style: none;
    margin: 0;
    padding: 0;
    width: 300px;
    margin-left: -150px;
    margin-top: -1px;
    border: 1px solid #DDD;
    box-shadow: #DDD 2px 2px 10px;
    background-color: white;
    overflow: hidden;
}
.mu-app .mu-dropdown.mu-align-right {
    width: 50%;
    left: 50%;
}
.mu-app .mu-dropdown.mu-align-right .mu-dropdown-body {
    position: absolute;
    right: 0;
    left: auto;
}
.mu-app .mu-dropdown.mu-align-left {
    width: 50%;
    right: 50%;
}
.mu-app .mu-dropdown.mu-align-left .mu-dropdown-body {
    position: absolute;
    left: 0;
    right: auto;
}
.mu-app .mu-dropdown::before {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-bottom: 12px solid #DDD;
    position: absolute;
    top: 0;
    margin-top: -11px;
    margin-left: -12px;
}
.mu-app .mu-dropdown::after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 10px solid white;
    position: absolute;
    top: 0;
    margin-top: -9px;
    margin-left: -10px;
}
.mu-app .mu-button.mu-selected ~ .mu-dropdown,
.mu-app .mu-dropdown.mu-selected,
.mu-app .mu-dropdown.mu-visible {
    z-index: 101;
    transform: scale(1);
    transition: transform 0.2s ease, opacity 0.2s ease;
    opacity: 1;
}
.mu-app .mu-dropdown li {
    padding: 2px 5px;
    width: 100%;
    box-sizing: border-box;
    white-space: nowrap;
    text-overflow: ellipsis;
    background-color: white;
    overflow: hidden;
    position: relative;
    line-height: 1.5em;
    display: block;
}
.mu-app .mu-dropdown li a {
    color: #333;
    text-decoration: none;
    white-space: nowrap;
    font-size: 0.8rem;
}
.mu-app .mu-dropdown li:hover {
    background-color: #EEE;
}


/* page */
/* dialogs */

.mu-app .mu-dialog-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(128,128,128,0.5);
    z-index: 100;
    opacity: 0;
    visibility: hidden;
    z-index: -1;
    -webkit-transition: opacity 0.3s linear, z-index 0.3s step-end, visibility 0.3s step-end;
    -moz-transition: opacity 0.3s linear, z-index 0.3s step-end, visibility 0.3s step-end;
    transition: opacity 0.3s linear, z-index 0.3s step-end, visibility 0.3s step-end;
}
.mu-app .mu-dialog.mu-visible ~ .mu-dialog-background {
    opacity: 1;
    visibility: visible;
    z-index: 100;
    -webkit-transition: opacity 0.3s linear, z-index 0.3s step-start, visibility 0.3s step-start;
    -moz-transition: opacity 0.3s linear, z-index 0.3s step-start, visibility 0.3s step-start;
    transition: opacity 0.3s linear, z-index 0.3s step-start, visibility 0.3s step-start;
}
.mu-app .mu-dialog {
    visibility: hidden;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 600px;
    height: 400px;
    margin-left: -300px;
    margin-top: -200px;
    z-index: -1;
    box-shadow: #888 0px 0px 5px;
    background-color: white;
    -webkit-transform: scale(0.7);
    -moz-transform: scale(0.7);
    -ms-transform: scale(0.7);
    transform: scale(0.7);
    opacity: 0;
    -webkit-transition: all 0.3s, z-index 0.3s step-end;
    -moz-transition: all 0.3s, z-index 0.3s step-end;
    transition: all 0.3s, z-index 0.3s step-end;
	border-radius: 3px;
}
.mu-app .mu-dialog.mu-visible {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
    opacity: 1;
    z-index: 101;
    -webkit-transition: all 0.3s, z-index 0.3s step-start;
    -moz-transition: all 0.3s, z-index 0.3s step-start;
    transition: all 0.3s, z-index 0.3s step-start;
}
.mu-app .mu-dialog-close {
    float: right;
}
.mu-app .mu-dialog > header {
    position: absolute;
    top: 0;
    width: 100%;
    height: 62px;
    box-sizing: border-box;
} 
.mu-app .mu-dialog > footer {
    position: absolute;
    width: 100%;
    bottom: 0;
    height: 60px;
    box-sizing: border-box;
}
.mu-app .mu-dialog > footer .mu-toolbar {
    border-top: 2px solid #CCC;
}
.mu-app .mu-dialog > footer .mu-toolbar li {
    float: right;
}
.mu-app .mu-dialog > section {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #EEE;
    box-sizing: border-box;
    padding: 10px;
    border-top: 2px solid #0973b9;
}
.mu-app .mu-dialog > section.mu-selected ~ section {
    display: none;
}
.mu-app .mu-dialog > footer ~ section {
    border-bottom: 60px solid transparent;
}
.mu-app .mu-dialog > header ~ section {
    border-top: 62px solid transparent;
}
.mu-app.mu-tiny .mu-dialog,
.mu-app.mu-xsmall .mu-dialog,
.mu-app.mu-small .mu-dialog {
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    margin: 0px;
}

/* viewer */
.mu-app {
    position: relative;
    overflow: hidden;
}
.mu-app .mu-toolbar {
    position: absolute;
    top: 0;
    left: 0;
}
.mu-app > header ~ section {
    border-top: 62px solid transparent;
}

/* modifiers */
.mu-app .mu-visible {
    display: block;
    visibility: visible;
}
.mu-app .mu-fullscreen,
.mu-app.mu-fullscreen {
    position: absolute;
    position: sticky;
    position: fixed;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100% !important;
    z-index: 10000;
}
.mu-app .mu-fullscreen-visible,
.mu-app .mu-fullscreen-visible * {
    visibility: hidden;
    position: absolute;
    z-index: -1;
}
.mu-app.mu-fullscreen .mu-fullscreen-visible,
.mu-app.mu-fullscreen .mu-fullscreen-visible *,
.mu-app .mu-fullscreen .mu-fullscreen-visible,
.mu-app .mu-fullscreen .mu-fullscreen-visible * {
    visibility: visible;
    position: inherit;
    z-index: inherit;
}
.mu-app .mu-fullscreen-hidden {
}
.mu-app.mu-fullscreen .mu-fullscreen-hidden,
.mu-app.mu-fullscreen .mu-fullscreen-hidden *,
.mu-app .mu-fullscreen .mu-fullscreen-hidden,
.mu-app .mu-fullscreen .mu-fullscreen-hidden * {
    display: none;
}
